[arch-commits] Commit in gnupg2/repos (3 files)

Tobias Powalowski tpowa at archlinux.org
Mon Aug 4 17:19:54 UTC 2008


    Date: Monday, August 4, 2008 @ 13:19:54
  Author: tpowa
Revision: 7834

Merged revisions 2-7833 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/gnupg2/trunk

........
  r356 | aaron | 2008-04-18 22:56:27 +0000 (Fr, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r7833 | tpowa | 2008-08-04 17:19:19 +0000 (Mo, 04 Aug 2008) | 1 line
  
  upgpkg: gnupg2 2.0.9-1
........

Added:
  gnupg2/repos/extra-x86_64/gcc-43.patch
    (from rev 7833, gnupg2/trunk/gcc-43.patch)
Modified:
  gnupg2/repos/extra-x86_64/	(properties)
  gnupg2/repos/extra-x86_64/PKGBUILD

--------------+
 PKGBUILD     |   10 ++++++----
 gcc-43.patch |   49 +++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+), 4 deletions(-)


Property changes on: gnupg2/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /gnupg2/trunk:1
   + /gnupg2/trunk:1-7833

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-08-04 17:19:19 UTC (rev 7833)
+++ extra-x86_64/PKGBUILD	2008-08-04 17:19:54 UTC (rev 7834)
@@ -1,14 +1,14 @@
 # $Id$
 # Maintainer: Tobias Powalowski <tpowa at archlinux.org>
 pkgname=gnupg2
-pkgver=2.0.8
+pkgver=2.0.9
 pkgrel=1
 pkgdesc="GNU Privacy Guard 2 - a PGP replacement tool"
 arch=(i686 x86_64)
 depends=('libldap' 'curl>=7.16.2' 'bzip2' 'zlib' 'libksba>=1.0.2' 'libgcrypt' 'pth' 'libusb' 'libassuan>=1.0.4' 'pinentry' 'dirmngr')
 license=('GPL')
 options=('!makeflags')
-source=(ftp://ftp.gnupg.org/gcrypt/gnupg/gnupg-$pkgver.tar.bz2)
+source=(ftp://ftp.gnupg.org/gcrypt/gnupg/gnupg-$pkgver.tar.bz2 gcc-43.patch)
 url="http://www.gnupg.org/"
 
 build() {
@@ -16,11 +16,13 @@
 
   # O2 breaks it on x86_64
   [ "$CARCH" = "x86_64" ] && EXTRAOPTS="--disable-optimization"
-
+  # fix gcc 43 compilation
+  patch -Np0 -i ../gcc-43.patch || return 1
   ./configure --prefix=/usr --libexecdir=/usr/lib/gnupg2 $EXTRAOPTS
   make || return 1
   make DESTDIR=$startdir/pkg install
   # move conflicting files
   mv $startdir/pkg/usr/share/gnupg{,2}
 }
-md5sums=('fc4377ca67e1bf687eeaf22e79c0b9d1')
+md5sums=('b41f3f6716a74c46a609a71853e85c7b'
+         '185f19690d175cd21221ffb806f958ed')

Copied: gnupg2/repos/extra-x86_64/gcc-43.patch (from rev 7833, gnupg2/trunk/gcc-43.patch)
===================================================================
--- extra-x86_64/gcc-43.patch	                        (rev 0)
+++ extra-x86_64/gcc-43.patch	2008-08-04 17:19:54 UTC (rev 7834)
@@ -0,0 +1,49 @@
+--- keyserver/gpgkeys_curl.c	(revision 4741)
++++ keyserver/gpgkeys_curl.c	(working copy)
+@@ -286,7 +286,7 @@
+ 
+   if(follow_redirects)
+     {
+-      curl_easy_setopt(curl,CURLOPT_FOLLOWLOCATION,1);
++      curl_easy_setopt(curl,CURLOPT_FOLLOWLOCATION,1L);
+       if(follow_redirects>0)
+ 	curl_easy_setopt(curl,CURLOPT_MAXREDIRS,follow_redirects);
+     }
+@@ -298,10 +298,10 @@
+     {
+       fprintf(console,"gpgkeys: curl version = %s\n",curl_version());
+       curl_easy_setopt(curl,CURLOPT_STDERR,console);
+-      curl_easy_setopt(curl,CURLOPT_VERBOSE,1);
++      curl_easy_setopt(curl,CURLOPT_VERBOSE,1L);
+     }
+ 
+-  curl_easy_setopt(curl,CURLOPT_SSL_VERIFYPEER,opt->flags.check_cert);
++  curl_easy_setopt(curl,CURLOPT_SSL_VERIFYPEER,(long)opt->flags.check_cert);
+   curl_easy_setopt(curl,CURLOPT_CAINFO,opt->ca_cert_file);
+ 
+   if(proxy)
+Index: gpgkeys_hkp.c
+===================================================================
+--- keyserver/gpgkeys_hkp.c	(revision 4741)
++++ keyserver/gpgkeys_hkp.c	(working copy)
+@@ -202,9 +202,9 @@
+     fprintf(console,"gpgkeys: HTTP URL is `%s'\n",request);
+ 
+   curl_easy_setopt(curl,CURLOPT_URL,request);
+-  curl_easy_setopt(curl,CURLOPT_POST,1);
++  curl_easy_setopt(curl,CURLOPT_POST,1L);
+   curl_easy_setopt(curl,CURLOPT_POSTFIELDS,key);
+-  curl_easy_setopt(curl,CURLOPT_FAILONERROR,1);
++  curl_easy_setopt(curl,CURLOPT_FAILONERROR,1L);
+ 
+   res=curl_easy_perform(curl);
+   if(res!=0)
+@@ -661,7 +661,7 @@
+     {
+       fprintf(console,"gpgkeys: curl version = %s\n",curl_version());
+       curl_easy_setopt(curl,CURLOPT_STDERR,console);
+-      curl_easy_setopt(curl,CURLOPT_VERBOSE,1);
++      curl_easy_setopt(curl,CURLOPT_VERBOSE,1L);
+     }
+ 
+   if(proxy)




More information about the arch-commits mailing list